{
    description = "My recipe collection";
    inputs.nixpkgs = {
        type = "indirect";
        id = "nixpkgs";
    };

    inputs.flake-utils.url = "github:numtide/flake-utils";

    outputs = {self, nixpkgs, flake-utils}:
        let
            kitchenGen = import ./kitchen.nix;
        in
        flake-utils.lib.eachDefaultSystem (system:
            let pkgs = import nixpkgs { inherit system; }; in
            {
                defaultPackage = (kitchenGen {
                    nixpkgs = pkgs;
                });
            } 
        );

}